<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to a commercial license from PosadzimyPl
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the PosadzimyPl is strictly forbidden.
 * In order to obtain a license, please contact us: posadzimy.pl
 *
 * @author    PosadzimyPl
 * @copyright Copyright (c) 2017-2021 PosadzimyPl
 * @license   Commercial license
 * @package   PosadzimyPlResponseModule
 */

class ApiError extends ObjectModel
{
    public $id;

    public $id_pp_user_orders;

    public $code;

    public $response;

    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table' => 'pp_api_error',
        'primary' => 'id_pp_api_error',
        'fields' => array(
            'id_pp_user_orders' =>      array('type' => self::TYPE_INT, 'validate' => 'isInt'),
            'code' =>                   array('type' => self::TYPE_INT, 'validate' => 'isInt'),
            'response' =>               array('type' => self::TYPE_HTML, 'validate' => 'isCleanHtml'),
        ),
    );

    public function __construct($id = null, $lang = null, $shop = null)
    {
        parent::__construct($id, $lang, $shop);
    }
}
