<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to a commercial license from PosadzimyPl
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the PosadzimyPl is strictly forbidden.
 * In order to obtain a license, please contact us: posadzimy.pl
 *
 * @author    PosadzimyPl
 * @copyright Copyright (c) 2017-2021 PosadzimyPl
 * @license   Commercial license
 * @package   PosadzimyPlResponseModule
 */

$sql = array();

$sql[] = ' CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'pp_hooks` (
        `id_pp_hooks` int(10) unsigned NOT NULL AUTO_INCREMENT,
        `active`  int(1),
        `variable`  int(1),
        `custom`  int(1),
        `name`  varchar(128),
        `text_color`  varchar(64),
        `background_color`  varchar(64),
        `after`  int(1),
        `font_size` varchar(64),
        `custom_css` TEXT,
        PRIMARY KEY (`id_pp_hooks`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=UTF8;';

$sql[] = ' CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'pp_hooks_lang` (
        `id_pp_hooks` int(10) unsigned NOT NULL AUTO_INCREMENT,
        `id_lang` int(10) unsigned NOT NULL,
        `content` TEXT,
        `content_after` TEXT,
        PRIMARY KEY (`id_pp_hooks`, `id_lang`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=UTF8;';

$sql[] = ' CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'pp_base_configuration` (
        `id_pp_base_configuration` int(10) unsigned NOT NULL AUTO_INCREMENT,
        `order_value` decimal(20,6),
        `order_statuses`  varchar(64),
        `api_key`  varchar(128),
        `tree_group_id`  varchar(128),
        `custom_mail_active`  int(1),
        PRIMARY KEY (`id_pp_base_configuration`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=UTF8;';

$sql[] = ' CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'pp_base_configuration_lang` (
        `id_pp_base_configuration` int(10) unsigned NOT NULL AUTO_INCREMENT,
        `id_lang` int(10) unsigned NOT NULL,
        `certificate_text` TEXT,
        `mail_text` TEXT,
        `mail_subject` varchar(512),
        `plant_name`  varchar(128),
        PRIMARY KEY (`id_pp_base_configuration`, `id_lang`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=UTF8;';

$sql[] = ' CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'pp_user_orders` (
        `id_pp_user_orders` int(10) unsigned NOT NULL AUTO_INCREMENT,
        `id_customer` int(10) unsigned NOT NULL,
        `id_order` int(10) unsigned NOT NULL,
        `id_status` int(10) unsigned NOT NULL,
        `id_mail_status` int(10) unsigned NOT NULL,
        `id_order_api` int(10),
        `module_order_value` decimal(20,6),
        `certificate_url` TEXT,
        `certificate_image_url` TEXT,
        PRIMARY KEY (`id_pp_user_orders`, `id_customer`, `id_order`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=UTF8;';

$sql[] = ' CREATE TABLE IF NOT EXISTS `'._DB_PREFIX_.'pp_api_error` (
        `id_pp_api_error` int(10) unsigned NOT NULL AUTO_INCREMENT,
        `id_pp_user_orders` int(10) unsigned NOT NULL,
        `code` int(10),
        `response` TEXT,
        PRIMARY KEY (`id_pp_api_error`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=UTF8;';

foreach ($sql as $query) {
    if (Db::getInstance()->execute($query) == false) {
        return false;
    }
}
