{*
* NOTICE OF LICENSE
*
* This source file is subject to a commercial license from PosadzimyPl
* Use, copy, modification or distribution of this source file without written
* license agreement from the PosadzimyPl is strictly forbidden.
* In order to obtain a license, please contact us: posadzimy.pl
*
* @author    PrestaPros.com
* @copyright Copyright (c) 2017-2021 PrestaPros
* @license   Commercial license
* @package   PosadzimyPlResponseModule
*}
<div class="panel col-lg-10 right-panel">
    <h2>
        <i class="fa fa-question-circle"></i> {l s='Instrukcja instalacji i pomoc techniczna' mod='posadzimypl'} <small>{$module_display|escape:'htmlall':'UTF-8'}</small>
    </h2>
    <div class="helpContentInstruction">
        <h1>{l s='Instrukcja integracji z Posadzimy.pl' mod='posadzimypl'}</h1>
        <br><h2>{l s='Rejestracja w serwisie' mod='posadzimypl'}</h2>
        <p>{l s='Przejdź na stronę ' mod='posadzimypl'} <a href="https://panel.posadzimy.pl/rejestracja" target="_blank">{l s='https://panel.posadzimy.pl/rejestracja' mod='posadzimypl'}</a> {l s=' i zarejestruj się uzupełniając odpowiednie pola. Jeśli jesteś zarejestrowany przejdź do logowania.' mod='posadzimypl'}</p>
        <br><h2>{l s='Logowanie i włączenie sadzenia przez API' mod='posadzimypl'}</h2>
        <p>{l s='Po prawidłowej rejestracji, zostaniesz automatycznie zalogowany i przekierowany na panel klienta.' mod='posadzimypl'}</p>
        <p>{l s='Przejdź do “sadzenie przez API”, klikająć w link znajdujący się po w menu po lewej stronie ekranu.' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-1" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/1.jpg">          
        <br>
        <p>{l s='Uruchom sadzenie przez API, kliknąć niebieski przycisk “Uruchom”' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-2" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/2.jpg"><br>
        <p>{l s='Podaj dane swojej firmy i potwierdź przyciskiem “Uruchom”' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-3" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/3.jpg"><br>
        <br><h2>{l s='DODANIE SADZENIA PRZEZ API' mod='posadzimypl'}</h2>
        <p>{l s='Przejdź do “Lista posadzeń” używająć menu z lewej strony.' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-4" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/4.jpg"><br>
        <p>{l s='Wybierz zakładkę “Lista sadzeń przez API”, a następnie kliknij w utwórz nowe sadzenie' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-5" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/5.jpg"><br>
        <p>{l s='Jeśli chcesz, możesz opcjonalnie zmienić nazwę i dodać opisa sadzenia. Informacje te będą widoczne tylko w serwisie Posadzimy.pl, na stronie Twojego sklepu.' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-6" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/6.jpg"><br>
        <br><h2>{l s='Doładowanie kredytów' mod='posadzimypl'}</h2>
        <p>{l s='Po poprawnym utworzeniu sadzenia, wracamy do sekcji “Sadzenie przez API” klikając w menu po lewej stronie ekranu.' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-7" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/7.jpg"><br>
        <p>{l s='Aby automatycznie sadzić drzewo, generować i wysyłać certyfikat do klientów Twojego sklepu, musisz doładować swoje konto w Posadzimy.pl. Koszt jednego drzewa to 9.90 zł netto.' mod='posadzimypl'}</p>
        <p>{l s='Aby doładować konto, wybierz liczbę kredytów. Następnie wybierz formę płatności. W przypadku PayU płatność zostanie zaksięgowana automatycznie i kredyty od razu dodane do Twojego konta. Jeśli wybierzesz zapłatę przelewem, otrzymasz fakturę pro forma a po zaksięgowaniu wpłaty kredyty zostaną dodane do Twojego konta. W obu przypadkach po zaksięgowaniu wpłaty otrzymasz fakturę VAT.' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-8" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/8.jpg"><br>
        <br><h2>{l s='Integracja z Twoim sklepem' mod='posadzimypl'}</h2>
        <p>{l s='W opcjach modułu w panelu administraycjny PrestaShop, przejdź do zakładki “Konfiguracja modułu”' mod='posadzimypl'}</p>
        <p>{l s='Podaj minimalną wartość zamówienia brutto (bez wysyłki), dla którego generowane będzie drzewo i wysyłany do klienta sklepu certyfikat.' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-9" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/9.jpg"><br>
        <p>{l s='Następnie musisz poprawnie podać dwa ciągi znaków :' mod='posadzimypl'}</p>
        <p>{l s='Klucz API oraz ID Sadzenia.' mod='posadzimypl'}</p>
        <p>{l s='Obie dane znajdziesz w panelu Posadzimy.pl, w zakładce “Sadzenie przez API"' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-10" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/10.jpg"><br>
        <p>{l s='Należy również wybrać statusy zamówienia, przy których zmianie sadzone jest drzewo i wysłany mail z certyfikatem.' mod='posadzimypl'}</p>
        <p>{l s='Po podaniu tych danych, przejdź na sam dół strony ustawień i kliknij przycisk “Zapisz”' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-11" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/11.jpg"><br>
        <p>{l s='W przypadku podania prawidłowych danych do integracji, otrzymasz informacje o liczbie posiadanych kredytów, widoczną w ustawieniach, oraz po lewej stronie w menu modułu.' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-12" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/12.jpg"><br>
        <br><h1>{l s='Ustawienia w sklepie PrestaShop' mod='posadzimypl'}</h1>
        <br><h2>{l s='Text na certyfikacie' mod='posadzimypl'}</h2>
        <p>{l s='Po posadzeniu drzewa, generowany jest certyfikat, który wysyłany jest do klienta sklepu. W tym ustawieniu, możemy opcjonalnie dodać krótki text, który pokazywać się będzie na certyfikacie dla klientów:' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-13" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/13.jpg"><br>
        <br><h2>{l s='Powiadomienia systemowe w sklepie' mod='posadzimypl'}</h2>
        <p>{l s='Moduł może automatycznie dodać edytowalne powiadomienia o sadzeniu drzew. Możemy ustalić wiadomość przed osiągnięciem minimalnego progu oraz po osiągnięciu minimalnego progu. W przypadku powiadomienia przed osiągnięciem progu, mamy do dyspozycji zmienną: {value}, która wyświetla brakującą wartość koszyka.' mod='posadzimypl'}</p>
        <p>{l s='Każde z trzech powiadomień można osobno włączyć / wyłączyć. Powiadomienia nie będą wyświetlane, jeśli w połączonym koncie w Posadzimy.pl nie ma kredytów.' mod='posadzimypl'}</p>
        <p>{l s='Miejsca możliwych powiadomień:' mod='posadzimypl'}</p>
        <ol>
            <li>
                <p>{l s='Na stronie produktu' mod='posadzimypl'}</p>
                <img data-modal-class="modal-image-instruction-14" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/14.jpg"><br>
            </li>
            <li>
                <p>{l s='Na stronie realizacji zamówienia' mod='posadzimypl'}</p>
                <img data-modal-class="modal-image-instruction-15" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/15.jpg"><br>
            </li>
            <li>
                <p>{l s='Na ekranie po dodaniu do koszyka, oraz w koszyku' mod='posadzimypl'}</p>
                <img data-modal-class="modal-image-instruction-16" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/16.jpg"><br>
            </li>
        </ol>
        <br><h1>{l s='Wysyłka maili z certyfikatem posadzenia' mod='posadzimypl'}</h1>
        <p>{l s='Po zmianie przez sklep statusu zamówienia na określone w ustawieniach modułu, możemy włączyć wysyłkę maila do klienta.' mod='posadzimypl'}</p>
        <br><h2>{l s='Wysyłka przez sklep osobnej wiadomości e-maila z informacją o posadzeniu linkiem do certyfikatu, po zaksięgowaniu wpłaty' mod='posadzimypl'}</h2>
        <p>{l s='Mail wysyłany jest przez serwer sklepu, na adres mailowy podany w zamówieniu.' mod='posadzimypl'}</p>
        <p>{l s='Temat wiadomości ustalany jest w opcjach modułu przez sklep.' mod='posadzimypl'}</p>
        <p>{l s='Wysyłany jest szablon mailowy Posadzimy.pl, z możliwością edycji część maila, umieszczając tam np. Podziękowanie za zakup. Widok przykładowego maila”' mod='posadzimypl'}</p>
        <img data-modal-class="modal-image-instruction-17" class="open-modal mini-img" src="https://static.posadzimy.pl/integrations/prestashop/mini/17.jpg"><br>
        <br><h1>{l s='Kontakt' mod='posadzimypl'}</h1>
        <p>{l s='W razie problemów z integracją, zapraszamy do kontaktu mailowego na adres: ' mod='posadzimypl'}<a href="mailto:kontakt@posadzimy.pl">{l s='kontakt@posadzimy.pl' mod='posadzimypl'}</a></p>
    </div>
</div>
    
    <div class="modal-wrapper">
        {for $foo=1 to 17}
            <div class="modal-image-instruction-{$foo} modal-image" style="display: none;">
        
        <div class="modal-content-image">
            <span class="modal-close close cursor" data-modal-class="modal-image-instruction-{$foo}">×</span>
            <img src="https://static.posadzimy.pl/integrations/prestashop/{$foo}.jpg">
        </div>
    </div>
        {/for}
       
    </div>
    
    