{*
* NOTICE OF LICENSE
*
* This source file is subject to a commercial license from PosadzimyPl
* Use, copy, modification or distribution of this source file without written
* license agreement from the PosadzimyPl is strictly forbidden.
* In order to obtain a license, please contact us: posadzimy.pl
*
* @author    PrestaPros.com
* @copyright Copyright (c) 2017-2021 PrestaPros
* @license   Commercial license
* @package   PosadzimyPlResponseModule
*}

<div id="modulecontent" class="clearfix">
    <div class="col-lg-2">
        <div class="list-group">
            <a id="tab-instruction" href="#instruction" class="list-group-item {if $activeTabId eq 1}active{/if}" data-target="instruction" data-toggle="tab"><i class="fa fa-question-circle"></i> {l s='Instrukcja instalacji i pomoc techniczna' mod='posadzimypl'}</a>
            <a id="tab-configuration" href="#configuration" class="list-group-item {if $activeTabId eq 2}active{/if}" data-target="configuration" data-toggle="tab"><i class="fa fa-cogs"></i> {l s='Konfiguracja modułu' mod='posadzimypl'}</a>
            <a id="tab-hooks" href="#hooks" class="list-group-item {if $activeTabId eq 3}active{/if}" data-target="hooks" data-toggle="tab"><i class="fa fa-css3"></i> {l s='Konfiguracja sekcji informacyjnych' mod='posadzimypl'}</a>
        </div>
        <div class="list-group">
            <a class="list-group-item"><i class="icon-info"></i> {l s='Version' mod='posadzimypl'} {$module_version|escape:'htmlall':'UTF-8'}</a>
            <span class="list-group-item">{l s='Liczba kredytów: ' mod='posadzimypl'} {$credit_balance|escape:'htmlall':'UTF-8'}</span>
        </div>
    </div>
    <div class="{if $activeTabId neq 1}hidden{/if}" id="instruction">
        {include file="./_partials/instruction.tpl"}
    </div>
    <div class="{if $activeTabId neq 2}hidden{/if}" id="configuration">
        {include file="./_partials/configuration.tpl"}
    </div>
    <div class="{if $activeTabId neq 3}hidden{/if}" id="hooks">
        {include file="./_partials/hooks.tpl"}
    </div>
</div>
<script>
    let adminAjaxToken = "{$adminAjaxToken|escape:'htmlall':'UTF-8'}";
</script>
