<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to a commercial license from PosadzimyPl
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the PosadzimyPl is strictly forbidden.
 * In order to obtain a license, please contact us: posadzimy.pl
 *
 * @author    PosadzimyPl
 * @copyright Copyright (c) 2017-2021 PosadzimyPl
 * @license   Commercial license
 * @package   PosadzimyPlResponseModule
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

class AdminAjaxController extends ModuleAdminController
{
    public function displayAjaxCheckApi()
    {
        $apiKey = Tools::getValue('apiKey');
        $treeGroupId = Tools::getValue('treeGroupId');
        $response = $this->module->testApiConnection($apiKey, $treeGroupId);
        die(Tools::jsonEncode(array('success' => true, 'response' => $response)));
    }
}
