<?php
/**
 * NOTICE OF LICENSE
 *
 * This source file is subject to a commercial license from PosadzimyPl
 * Use, copy, modification or distribution of this source file without written
 * license agreement from the PosadzimyPl is strictly forbidden.
 * In order to obtain a license, please contact us: posadzimy.pl
 *
 * @author    PosadzimyPl
 * @copyright Copyright (c) 2017-2021 PosadzimyPl
 * @license   Commercial license
 * @package   PosadzimyPlResponseModule
 */

include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/../../init.php');

if (!Tools::isPHPCLI()) {
    if (Tools::substr(Tools::encrypt('posadzimypl/cron'), 0, 10)
        != Tools::getValue('token')
        || !Module::isInstalled('posadzimypl')
    ) {
        die('Bad token');
    }
}

$module = Module::getInstanceByName('posadzimypl');
$module->againCreateApiOrderForFailOrders();
die('Done');
