{*
* NOTICE OF LICENSE
*
* This source file is subject to a commercial license from PosadzimyPl
* Use, copy, modification or distribution of this source file without written
* license agreement from the PosadzimyPl is strictly forbidden.
* In order to obtain a license, please contact us: posadzimy.pl
*
* @author    PrestaPros.com
* @copyright Copyright (c) 2017-2021 PrestaPros
* @license   Commercial license
* @package   PosadzimyPlResponseModule
*}
    <style>
        {if $custom_css}
            {$custom_css|escape:'htmlall':'UTF-8'}
        {/if}
        #block_cart_posadzimy_hook .content p{
            font-size: {$font_size|escape:'htmlall':'UTF-8'}px;
        }
    </style>
<section id="block_cart_posadzimy_hook" class="posadzimy_info_box {$extendedClass}">
    {if $isContentAfter}
        <div class="content" style="background-color: {$background_color|escape:'htmlall':'UTF-8'}; color: {$text_color|escape:'htmlall':'UTF-8'}; {if $font_size}font-size: {$font_size|escape:'htmlall':'UTF-8'}px;{/if}">
            {if $amountDone}
                {$content_after nofilter}
            {else}
                {$content nofilter}
            {/if}
        </div>
    {else}
        <div class="content" {if $amountDone}hidden{/if} style="background-color: {$background_color|escape:'htmlall':'UTF-8'}; color: {$text_color|escape:'htmlall':'UTF-8'}; {if $font_size}font-size: {$font_size|escape:'htmlall':'UTF-8'}px;{/if}">
            {$content nofilter}
        </div>
    {/if}
</section>
